#from PySide2.QtWidgets import QMessageBox
from axipy import AxiomaPlugin, Position
from axipy.app import mainwindow
from PySide2.QtWidgets import QDockWidget, QWidget, QPushButton, QLineEdit, QVBoxLayout
from PySide2.QtCore import Qt
from PySide2.QtGui import QIcon

from PySide2.QtUiTools import QUiLoader
import os

class Plugin(AxiomaPlugin):
    def load(self):
        self.__action = self.create_action('Пример действия1',
                icon='://icons/share/32px/run3.png', on_click=self.on_clicked)
        position = Position('Основные', 'Команды')
        position.add(self.__action)
        self.dock = None

    def unload(self):
        self.__action.remove()
        if self.dock != None:
            mainwindow.remove_dock_widget(self.dock)
            self.dock = None

    def on_clicked(self):
        if self.dock == None:
            self.dock = QDockWidget(self.tr('Пример панели'))
            widget = QWidget()
            uiFile = os.path.join(os.path.dirname(__file__), "form.ui")
            self.__ui = QUiLoader().load(uiFile, widget)
            self.__ui.pushButton.clicked.connect(lambda: print('Clicked'))
            self.dock.setWidget(widget)
            mainwindow.add_dock_widget(self.dock, Qt.RightDockWidgetArea)


    def on_clicked_2(self):
        if self.dock == None:
            self.dock = QDockWidget(self.tr('Пример панели'))
            widget = QWidget()
            button = QPushButton("Кнопка")
            button.clicked.connect(lambda: print('Реакция на кнопку'))
            edit = QLineEdit("текст")
            layout = QVBoxLayout()
            layout.addWidget(button)
            layout.addWidget(edit)
            layout.addStretch()
            widget.setLayout(layout)
            self.dock.setWidget(widget)
            mainwindow.add_dock_widget(self.dock, Qt.RightDockWidgetArea)
            edit.setFocus()
